public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrey Utkin" <andrey_utkin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/mcabber/
Date: Mon, 19 Oct 2020 06:57:24 +0000 (UTC)	[thread overview]
Message-ID: <1603090606.0ef9ef340e8af85c92b71471bce6084bf56f26ee.andrey_utkin@gentoo> (raw)

commit:     0ef9ef340e8af85c92b71471bce6084bf56f26ee
Author:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 19 06:47:20 2020 +0000
Commit:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Mon Oct 19 06:56:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ef9ef34

net-im/mcabber: add new version 1.1.2

Ebuild cloned verbatim from 9999.

Bug: https://bugs.gentoo.org/707418
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Andrey Utkin <andrey_utkin <AT> gentoo.org>

 net-im/mcabber/Manifest             |  1 +
 net-im/mcabber/mcabber-1.1.2.ebuild | 99 +++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/net-im/mcabber/Manifest b/net-im/mcabber/Manifest
index ecb3948b023..2cf47e098f5 100644
--- a/net-im/mcabber/Manifest
+++ b/net-im/mcabber/Manifest
@@ -1,2 +1,3 @@
 DIST mcabber-1.1.0.tar.bz2 608975 BLAKE2B 856b1a4d7118337f40b11348274c79d125776d5dddcd50f87097e58240807a4ecafc4816c44d44a51bf9cbb920edb225b312c1d5d0d52be4be93810512ef2706 SHA512 d12546e9fe9da94b6107f4d38d4083bee74e2702f7f2225e26be291230c6fe1319f60a3204da669dc00b14d69822425bf8214ebb723c3c4a7a33b1247a03093f
 DIST mcabber-1.1.0_bug699972.patch 1385 BLAKE2B f63316f93347b24f27e5f9a5c26de6ae1af199819efbf390915b06ba70c86ec35759c4529c20e3a7c4d8c84081bca008e90ceba8401032ba884d269355940e22 SHA512 d29acca9e710011a8f30dca1c0e281976d409d4072823527078e5f54e98fea4b637c9e52c998bc26a7a4c445d08acd3eea3a244441dac479c398dac0e786535a
+DIST mcabber-1.1.2.tar.bz2 651528 BLAKE2B d2160409d3a6e3c1a579bd1259438b11fae79612919a202a69a13c98c77fb5dbe4bc685939783f2a454ad5796c7d7f93e31d5fc92d96f2c6cc03e4efd4169f74 SHA512 bf53d593e84a4b4b2cf0230a4d94ea75f55008e3c2a839af5839519151209a61cce1685f9db14b65f5c4fa438bfabfeb25eb8e78e666b092c5c66af249788106

diff --git a/net-im/mcabber/mcabber-1.1.2.ebuild b/net-im/mcabber/mcabber-1.1.2.ebuild
new file mode 100644
index 00000000000..0b84efe6530
--- /dev/null
+++ b/net-im/mcabber/mcabber-1.1.2.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit readme.gentoo-r1
+
+DESCRIPTION="A small Jabber console client with various features, like MUC, SSL, PGP"
+HOMEPAGE="http://mcabber.com/"
+
+if [[ "${PV}" == 9999 ]]; then
+	inherit mercurial
+	EHG_REPO_URI="https://mcabber.com/hg/"
+	EHG_CHECKOUT_DIR="${WORKDIR}"
+	EHG_BOOTSTRAP="autogen.sh"
+	S="${WORKDIR}/${PN}"
+else
+	SRC_URI="http://mcabber.com/files/${P}.tar.bz2"
+	KEYWORDS="~alpha ~amd64 ~arm ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="aspell crypt idn otr spell ssl vim-syntax"
+
+LANGS="cs de fr it nl pl ru uk"
+# localized help versions are installed only, when L10N var is set
+for i in ${LANGS}; do
+	IUSE="${IUSE} l10n_${i}"
+done;
+
+RDEPEND="crypt? ( >=app-crypt/gpgme-1.0.0 )
+	otr? ( >=net-libs/libotr-3.1.0 )
+	aspell? ( app-text/aspell )
+	vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )
+	idn? ( net-dns/libidn:= )
+	spell? ( app-text/enchant:0 )
+	dev-libs/glib:2
+	net-libs/libnsl:0=
+	sys-libs/ncurses:0=
+	>=net-libs/loudmouth-1.4.3-r1[ssl?]"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+DOCS=( AUTHORS ChangeLog NEWS README TODO mcabberrc.example doc/README_PGP.txt )
+
+pkg_setup() {
+	if use aspell && use spell; then
+		ewarn "NOTE: You have both USE flags 'aspell' and 'spell' enabled, enchant (USE flag 'spell') will be preferred."
+	fi
+}
+
+src_configure() {
+	econf \
+		--enable-modules \
+		$(use_enable crypt gpgme) \
+		$(use_enable otr) \
+		$(use_enable aspell) \
+		$(use_enable spell enchant) \
+		$(use_with idn libidn)
+}
+
+src_install() {
+	default
+
+	# clean unneeded language documentation
+	for i in ${LANGS}; do
+		use l10n_${i} || rm -rf "${ED}"/usr/share/${PN}/help/${i}
+	done
+
+	# contrib themes
+	insinto /usr/share/${PN}/themes
+	doins "${S}"/contrib/themes/*
+
+	# contrib generic scripts
+	exeinto /usr/share/${PN}/scripts
+	doexe "${S}"/contrib/*.{pl,py}
+
+	# contrib event scripts
+	exeinto /usr/share/${PN}/scripts/events
+	doexe "${S}"/contrib/events/*
+
+	if use vim-syntax; then
+		cd contrib/vim/ || die
+
+		insinto /usr/share/vim/vimfiles/syntax
+		doins mcabber_log-syntax.vim
+
+		insinto /usr/share/vim/vimfiles/ftdetect
+		doins mcabber_log-ftdetect.vim
+	fi
+
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}


             reply	other threads:[~2020-10-19  6:57 UTC|newest]

Thread overview: 45+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-19  6:57 Andrey Utkin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-04-15  3:10 [gentoo-commits] repo/gentoo:master commit in: net-im/mcabber/ Sam James
2022-04-13 14:46 Sam James
2022-02-16 21:53 David Seifert
2021-01-05 18:59 Andreas K. Hüttel
2020-11-20  1:34 Thomas Deutschmann
2020-11-19 22:58 Sam James
2020-10-19  6:57 Andrey Utkin
2020-02-24 13:11 Agostino Sarubbo
2020-02-18 16:24 Agostino Sarubbo
2020-02-02 19:35 Mart Raudsepp
2019-12-31  0:48 Andrey Utkin
2019-12-31  0:48 Andrey Utkin
2019-02-25 20:13 Andrey Utkin
2019-02-18 19:29 Andrey Utkin
2018-11-03 17:18 Mikle Kolyada
2018-10-28 21:29 Thomas Deutschmann
2018-09-23  1:10 Andrey Utkin
2018-09-23  1:10 Andrey Utkin
2018-09-23  1:10 Andrey Utkin
2018-09-23  1:10 Andrey Utkin
2018-09-23  1:10 Andrey Utkin
2018-07-10 20:04 Andrey Utkin
2018-04-30 20:37 Andreas Hüttel
2018-03-15 21:35 Andrey Utkin
2018-02-11 11:02 Michał Górny
2018-01-07 14:58 Ulrich Müller
2017-07-11  0:30 Aaron Bauman
2017-07-11  0:30 Aaron Bauman
2017-06-21  8:04 Wolfram Schlich
2017-02-17 10:42 Agostino Sarubbo
2017-02-17 10:15 Agostino Sarubbo
2017-02-16 16:19 Wolfram Schlich
2016-12-27 16:49 Wolfram Schlich
2016-12-21 15:51 Wolfram Schlich
2016-12-13 16:29 Wolfram Schlich
2016-12-13 11:30 Agostino Sarubbo
2016-12-13 11:05 Agostino Sarubbo
2016-11-22 11:32 Wolfram Schlich
2016-09-19 16:09 Wolfram Schlich
2016-09-19 16:05 Wolfram Schlich
2016-03-29  7:13 Wolfram Schlich
2016-02-06 18:02 Wolfram Schlich
2016-02-06 17:28 Wolfram Schlich
2016-01-27 11:05 Wolfram Schlich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1603090606.0ef9ef340e8af85c92b71471bce6084bf56f26ee.andrey_utkin@gentoo \
    --to=andrey_utkin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox